using System;
namespace System.Model
{
	/// <summary>
	/// cdr:中间件存储的通话记录
	/// </summary>
	[Serializable]
	public partial class cdr
	{
		public cdr()
		{ }
		#region Model
		private int _id;
		private string _uuid;
		private int? _action_id;
		private string _caller_agent;
		private string _caller;
		private string _trunk_num;
		private string _callee_agent;
		private string _callee;
		private int? _call_type;
		private DateTime? _create_time = DateTime.Now;
		private DateTime? _ring_time;
		private DateTime? _answer_time;
		private int? _is_answer;
		private DateTime? _end_time;
		private DateTime? _hangup_time;
		private int? _op_type = 0;
		private string _hangup_cause;
		private int? _myd;
		private string _note;
		private string _record_path;
		private string _leave_path;
		/// <summary>
		/// 
		/// </summary>
		public int id
		{
			set { _id = value; }
			get { return _id; }
		}
		/// <summary>
		/// 会话标识，进行转移时会重复出现，这时和action_id一起可以组成唯一值
		/// </summary>
		public string uuid
		{
			set { _uuid = value; }
			get { return _uuid; }
		}
		/// <summary>
		/// 会话标识，uuid+action_id 组合成唯一值
		/// </summary>
		public int? action_id
		{
			set { _action_id = value; }
			get { return _action_id; }
		}
		/// <summary>
		/// 主叫坐席工号，分机为主叫且签入才会有值，否则为空
		/// </summary>
		public string caller_agent
		{
			set { _caller_agent = value; }
			get { return _caller_agent; }
		}
		/// <summary>
		/// 主叫号码，分机号或者手机号
		/// </summary>
		public string caller
		{
			set { _caller = value; }
			get { return _caller; }
		}
		/// <summary>
		/// 中继号，手机号呼入系统时拨打号码（底号）
		/// </summary>
		public string trunk_num
		{
			set { _trunk_num = value; }
			get { return _trunk_num; }
		}
		/// <summary>
		/// 被叫坐席工号，分机为被叫且签入才会有值，否则为空
		/// </summary>
		public string callee_agent
		{
			set { _callee_agent = value; }
			get { return _callee_agent; }
		}
		/// <summary>
		/// 被叫号码，分机号或手机号
		/// </summary>
		public string callee
		{
			set { _callee = value; }
			get { return _callee; }
		}
		/// <summary>
		/// 呼叫类型，0呼入（外线即手机号打进系统），1呼出
		/// </summary>
		public int? call_type
		{
			set { _call_type = value; }
			get { return _call_type; }
		}
		/// <summary>
		/// 呼入系统时间
		/// </summary>
		public DateTime? create_time
		{
			set { _create_time = value; }
			get { return _create_time; }
		}
		/// <summary>
		/// 被叫振铃时间
		/// </summary>
		public DateTime? ring_time
		{
			set { _ring_time = value; }
			get { return _ring_time; }
		}
		/// <summary>
		/// 被叫应答时间
		/// </summary>
		public DateTime? answer_time
		{
			set { _answer_time = value; }
			get { return _answer_time; }
		}
		/// <summary>
		/// 被叫是否接听
		/// </summary>
		public int? is_answer
		{
			set { _is_answer = value; }
			get { return _is_answer; }
		}
		/// <summary>
		/// 挂机时间- 
		/// </summary>
		public DateTime? end_time
		{
			set { _end_time = value; }
			get { return _end_time; }
		}
		/// <summary>
		/// 转满意度后外线挂机时间
		/// </summary>
		public DateTime? hangup_time
		{
			set { _hangup_time = value; }
			get { return _hangup_time; }
		}
		/// <summary>
		/// 操作类型，转移，会议，留言
		/// </summary>
		public int? op_type
		{
			set { _op_type = value; }
			get { return _op_type; }
		}
		/// <summary>
		/// 挂机原因，意义不大
		/// </summary>
		public string hangup_cause
		{
			set { _hangup_cause = value; }
			get { return _hangup_cause; }
		}
		/// <summary>
		/// 满意度，0,1,2
		/// </summary>
		public int? myd
		{
			set { _myd = value; }
			get { return _myd; }
		}
		/// <summary>
		/// 目前只用来记录是否是黑名单，记录内容为“blacklist”
		/// </summary>
		public string note
		{
			set { _note = value; }
			get { return _note; }
		}
		/// <summary>
		/// 录音路径
		/// </summary>
		public string record_path
		{
			set { _record_path = value; }
			get { return _record_path; }
		}
		/// <summary>
		/// 留言路径
		/// </summary>
		public string leave_path
		{
			set { _leave_path = value; }
			get { return _leave_path; }
		}
		#endregion Model

	}
}

